diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/mpi/examples/mpi-test-fixtures.h ns-3.44/src/mpi/examples/mpi-test-fixtures.h
--- ns-3.43/src/mpi/examples/mpi-test-fixtures.h	2024-10-09 16:41:10.060656500 -0700
+++ ns-3.44/src/mpi/examples/mpi-test-fixtures.h	2025-03-09 16:55:49.659372000 -0700
@@ -14,8 +14,8 @@
 #include <sstream>
 
 /**
- * \file
- * \ingroup mpi
+ * @file
+ * @ingroup mpi
  *
  * Common methods for MPI examples.
  *
@@ -39,12 +39,12 @@
 class Packet;
 
 /**
- * \ingroup mpi
+ * @ingroup mpi
  *
  * Write to std::cout only from rank 0.
  * Number line for sorting output of parallel runs.
  *
- * \param x The output operators.
+ * @param x The output operators.
  */
 #define RANK0COUT(x)                                                                               \
     do                                                                                             \
@@ -59,12 +59,12 @@
     while (false)
 
 /**
- * \ingroup mpi
+ * @ingroup mpi
  *
  * Append to std::cout only from rank 0.
  * Number line for sorting output of parallel runs.
  *
- * \param x The output operators.
+ * @param x The output operators.
  */
 #define RANK0COUTAPPEND(x)                                                                         \
     do                                                                                             \
@@ -75,7 +75,7 @@
     while (false)
 
 /**
- * \ingroup mpi
+ * @ingroup mpi
  *
  * Collects data about incoming packets.
  */
@@ -89,7 +89,7 @@
 
     /**
      * PacketSink receive trace callback.
-     * \copydetails ns3::Packet::TwoAddressTracedCallback
+     * @copydetails ns3::Packet::TwoAddressTracedCallback
      */
     static void SinkTrace(const ns3::Ptr<const ns3::Packet> packet,
                           const ns3::Address& srcAddress,
@@ -99,22 +99,22 @@
      * Verify the sink trace count observed matches the expected count.
      * Prints message to std::cout indicating success or fail.
      *
-     * \param expectedCount Expected number of packet received.
+     * @param expectedCount Expected number of packet received.
      */
     static void Verify(unsigned long expectedCount);
 
     /**
      * Get the source address and port, as a formatted string.
      *
-     * \param [in] address The ns3::Address.
-     * \return A string with the formatted address and port number.
+     * @param [in] address The ns3::Address.
+     * @return A string with the formatted address and port number.
      */
     static std::string FormatAddress(const ns3::Address address);
 
     /**
      * Get the MPI rank in the world communicator.
      *
-     * \return MPI world rank.
+     * @return MPI world rank.
      */
     static int GetWorldRank()
     {
@@ -124,7 +124,7 @@
     /**
      * Get the MPI size of the world communicator.
      *
-     * \return MPI world size.
+     * @return MPI world size.
      */
     static int GetWorldSize()
     {
@@ -133,7 +133,7 @@
 
     /**
      * Get current line count and increment it.
-     * \return the line count.
+     * @return the line count.
      */
     static int GetLineCount()
     {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/mpi/examples/nms-p2p-nix-distributed.cc ns-3.44/src/mpi/examples/nms-p2p-nix-distributed.cc
--- ns-3.43/src/mpi/examples/nms-p2p-nix-distributed.cc	2024-10-09 16:41:10.060656500 -0700
+++ ns-3.44/src/mpi/examples/nms-p2p-nix-distributed.cc	2025-03-09 16:55:49.659372000 -0700
@@ -5,8 +5,8 @@
  */
 
 /**
- * \file
- * \ingroup mpi
+ * @file
+ * @ingroup mpi
  *
  * DARPA NMS Campus Network Model
  *
@@ -432,7 +432,7 @@
             PacketSinkHelper sinkHelper("ns3::UdpSocketFactory",
                                         InetSocketAddress(Ipv4Address::GetAny(), 9999));
             ApplicationContainer sinkApp = sinkHelper.Install(nodes_net1[0][2].Get(0));
-            sinkApp.Start(Seconds(0.0));
+            sinkApp.Start(Seconds(0));
             if (testing)
             {
                 sinkApp.Get(0)->TraceConnectWithoutContext("RxWithAddresses",
@@ -453,7 +453,7 @@
             PacketSinkHelper sinkHelper("ns3::UdpSocketFactory",
                                         InetSocketAddress(Ipv4Address::GetAny(), 9999));
             ApplicationContainer sinkApp = sinkHelper.Install(nodes_net1[1][0].Get(0));
-            sinkApp.Start(Seconds(0.0));
+            sinkApp.Start(Seconds(0));
             if (testing)
             {
                 sinkApp.Get(0)->TraceConnectWithoutContext("RxWithAddresses",
@@ -500,7 +500,7 @@
                         ApplicationContainer sinkApp =
                             sinkHelper.Install(nodes_net2LAN[z][i][j].Get(0));
 
-                        sinkApp.Start(Seconds(0.0));
+                        sinkApp.Start(Seconds(0));
                         if (testing)
                         {
                             sinkApp.Get(0)->TraceConnectWithoutContext(
@@ -516,7 +516,7 @@
                         ApplicationContainer sinkApp =
                             sinkHelper.Install(nodes_net2LAN[z][i][j].Get(0));
 
-                        sinkApp.Start(Seconds(0.0));
+                        sinkApp.Start(Seconds(0));
                         if (testing)
                         {
                             sinkApp.Get(0)->TraceConnectWithoutContext(
@@ -569,7 +569,7 @@
 
                         ApplicationContainer sinkApp =
                             sinkHelper.Install(nodes_net3LAN[z][i][j].Get(0));
-                        sinkApp.Start(Seconds(0.0));
+                        sinkApp.Start(Seconds(0));
                         if (testing)
                         {
                             sinkApp.Get(0)->TraceConnectWithoutContext(
@@ -585,7 +585,7 @@
                         ApplicationContainer sinkApp =
                             sinkHelper.Install(nodes_net3LAN[z][i][j].Get(0));
 
-                        sinkApp.Start(Seconds(0.0));
+                        sinkApp.Start(Seconds(0));
                         if (testing)
                         {
                             sinkApp.Get(0)->TraceConnectWithoutContext(
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/mpi/examples/simple-distributed.cc ns-3.44/src/mpi/examples/simple-distributed.cc
--- ns-3.43/src/mpi/examples/simple-distributed.cc	2024-10-09 16:41:10.060656500 -0700
+++ ns-3.44/src/mpi/examples/simple-distributed.cc	2025-03-09 16:55:49.659372000 -0700
@@ -3,8 +3,8 @@
  */
 
 /**
- * \file
- * \ingroup mpi
+ * @file
+ * @ingroup mpi
  *
  * TestDistributed creates a dumbbell topology and logically splits it in
  * half.  The left half is placed on logical processor 0 and the right half
@@ -247,7 +247,7 @@
                                                            MakeCallback(&SinkTracer::SinkTrace));
             }
         }
-        sinkApp.Start(Seconds(1.0));
+        sinkApp.Start(Seconds(1));
         sinkApp.Stop(Seconds(5));
     }
 
@@ -266,7 +266,7 @@
             clientHelper.SetAttribute("Remote", remoteAddress);
             clientApps.Add(clientHelper.Install(leftLeafNodes.Get(i)));
         }
-        clientApps.Start(Seconds(1.0));
+        clientApps.Start(Seconds(1));
         clientApps.Stop(Seconds(5));
     }
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/mpi/examples/simple-distributed-empty-node.cc ns-3.44/src/mpi/examples/simple-distributed-empty-node.cc
--- ns-3.43/src/mpi/examples/simple-distributed-empty-node.cc	2024-10-09 16:41:10.060656500 -0700
+++ ns-3.44/src/mpi/examples/simple-distributed-empty-node.cc	2025-03-09 16:55:49.659372000 -0700
@@ -7,8 +7,8 @@
  */
 
 /**
- * \file
- * \ingroup mpi
+ * @file
+ * @ingroup mpi
  *
  * This test is equivalent to simple-distributed but tests boundary cases
  * when one of the ranks has no Nodes on it.   When run on two tasks
@@ -273,7 +273,7 @@
                                                            MakeCallback(&SinkTracer::SinkTrace));
             }
         }
-        sinkApp.Start(Seconds(1.0));
+        sinkApp.Start(Seconds(1));
         sinkApp.Stop(Seconds(5));
     }
 
@@ -292,7 +292,7 @@
             clientHelper.SetAttribute("Remote", remoteAddress);
             clientApps.Add(clientHelper.Install(leftLeafNodes.Get(i)));
         }
-        clientApps.Start(Seconds(1.0));
+        clientApps.Start(Seconds(1));
         clientApps.Stop(Seconds(5));
     }
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/mpi/examples/simple-distributed-mpi-comm.cc ns-3.44/src/mpi/examples/simple-distributed-mpi-comm.cc
--- ns-3.43/src/mpi/examples/simple-distributed-mpi-comm.cc	2024-10-09 16:41:10.060656500 -0700
+++ ns-3.44/src/mpi/examples/simple-distributed-mpi-comm.cc	2025-03-09 16:55:49.659372000 -0700
@@ -7,8 +7,8 @@
  */
 
 /**
- * \file
- * \ingroup mpi
+ * @file
+ * @ingroup mpi
  *
  * This test is equivalent to simple-distributed with the addition of
  * initialization of MPI by user code (this script) and providing
@@ -78,8 +78,8 @@
 /**
  * Report my rank, in both MPI_COMM_WORLD and the split communicator.
  *
- * \param [in] color My role, either ns-3 rank or other rank.
- * \param [in] splitComm The split communicator.
+ * @param [in] color My role, either ns-3 rank or other rank.
+ * @param [in] splitComm The split communicator.
  */
 void
 ReportRank(int color, MPI_Comm splitComm)
@@ -459,7 +459,7 @@
             }
             sinkApp.Add(apps);
         }
-        sinkApp.Start(Seconds(1.0));
+        sinkApp.Start(Seconds(1));
         sinkApp.Stop(Seconds(5));
     }
 
@@ -478,7 +478,7 @@
             clientHelper.SetAttribute("Remote", remoteAddress);
             clientApps.Add(clientHelper.Install(leftLeafNodes.Get(i)));
         }
-        clientApps.Start(Seconds(1.0));
+        clientApps.Start(Seconds(1));
         clientApps.Stop(Seconds(5));
     }
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/mpi/examples/third-distributed.cc ns-3.44/src/mpi/examples/third-distributed.cc
--- ns-3.43/src/mpi/examples/third-distributed.cc	2024-10-09 16:41:10.060656500 -0700
+++ ns-3.44/src/mpi/examples/third-distributed.cc	2025-03-09 16:55:49.659372000 -0700
@@ -18,8 +18,8 @@
 #include <iomanip>
 
 /**
- * \file
- * \ingroup mpi
+ * @file
+ * @ingroup mpi
  *
  * Distributed version of third.cc from the tutorial.
  *
@@ -218,8 +218,8 @@
         UdpEchoServerHelper echoServer(9);
 
         ApplicationContainer serverApps = echoServer.Install(csmaNodes.Get(nCsma));
-        serverApps.Start(Seconds(1.0));
-        serverApps.Stop(Seconds(10.0));
+        serverApps.Start(Seconds(1));
+        serverApps.Stop(Seconds(10));
 
         if (testing)
         {
@@ -235,12 +235,12 @@
     {
         UdpEchoClientHelper echoClient(csmaInterfaces.GetAddress(nCsma), 9);
         echoClient.SetAttribute("MaxPackets", UintegerValue(1));
-        echoClient.SetAttribute("Interval", TimeValue(Seconds(1.0)));
+        echoClient.SetAttribute("Interval", TimeValue(Seconds(1)));
         echoClient.SetAttribute("PacketSize", UintegerValue(1024));
 
         ApplicationContainer clientApps = echoClient.Install(wifiStaNodes.Get(nWifi - 1));
-        clientApps.Start(Seconds(2.0));
-        clientApps.Stop(Seconds(10.0));
+        clientApps.Start(Seconds(2));
+        clientApps.Stop(Seconds(10));
 
         if (testing)
         {
@@ -251,7 +251,7 @@
 
     Ipv4GlobalRoutingHelper::PopulateRoutingTables();
 
-    Simulator::Stop(Seconds(10.0));
+    Simulator::Stop(Seconds(10));
 
     if (tracing)
     {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/mpi/model/distributed-simulator-impl.cc ns-3.44/src/mpi/model/distributed-simulator-impl.cc
--- ns-3.43/src/mpi/model/distributed-simulator-impl.cc	2024-10-09 16:41:10.060656500 -0700
+++ ns-3.44/src/mpi/model/distributed-simulator-impl.cc	2025-03-09 16:55:49.659372000 -0700
@@ -6,8 +6,8 @@
  */
 
 /**
- * \file
- * \ingroup mpi
+ * @file
+ * @ingroup mpi
  *  Implementation of classes  ns3::LbtsMessage and ns3::DistributedSimulatorImpl.
  */
 
@@ -262,7 +262,7 @@
 void
 DistributedSimulatorImpl::BoundLookAhead(const Time lookAhead)
 {
-    if (lookAhead > Time(0))
+    if (lookAhead.IsStrictlyPositive())
     {
         NS_LOG_FUNCTION(this << lookAhead);
         m_lookAhead = Min(m_lookAhead, lookAhead);
@@ -605,7 +605,7 @@
 Time
 DistributedSimulatorImpl::GetMaximumSimulationTime() const
 {
-    /// \todo I am fairly certain other compilers use other non-standard
+    /// @todo I am fairly certain other compilers use other non-standard
     /// post-fixes to indicate 64 bit constants.
     return TimeStep(0x7fffffffffffffffLL);
 }
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/mpi/model/distributed-simulator-impl.h ns-3.44/src/mpi/model/distributed-simulator-impl.h
--- ns-3.43/src/mpi/model/distributed-simulator-impl.h	2024-10-09 16:41:10.060656500 -0700
+++ ns-3.44/src/mpi/model/distributed-simulator-impl.h	2025-03-09 16:55:49.659372000 -0700
@@ -6,8 +6,8 @@
  */
 
 /**
- * \file
- * \ingroup mpi
+ * @file
+ * @ingroup mpi
  *  Declaration of classes  ns3::LbtsMessage and ns3::DistributedSimulatorImpl.
  */
 
@@ -25,9 +25,9 @@
 {
 
 /**
- * \ingroup mpi
+ * @ingroup mpi
  *
- * \brief Structure used for all-reduce LBTS computation
+ * @brief Structure used for all-reduce LBTS computation
  */
 class LbtsMessage
 {
@@ -41,11 +41,11 @@
     }
 
     /**
-     * \param rxc received count
-     * \param txc transmitted count
-     * \param id mpi rank
-     * \param isFinished whether message is finished
-     * \param t smallest time
+     * @param rxc received count
+     * @param txc transmitted count
+     * @param id mpi rank
+     * @param isFinished whether message is finished
+     * @param t smallest time
      */
     LbtsMessage(uint32_t rxc, uint32_t txc, uint32_t id, bool isFinished, const Time& t)
         : m_txCount(txc),
@@ -59,23 +59,23 @@
     ~LbtsMessage();
 
     /**
-     * \return smallest time
+     * @return smallest time
      */
     Time GetSmallestTime();
     /**
-     * \return transmitted count
+     * @return transmitted count
      */
     uint32_t GetTxCount() const;
     /**
-     * \return received count
+     * @return received count
      */
     uint32_t GetRxCount() const;
     /**
-     * \return id which corresponds to mpi rank
+     * @return id which corresponds to mpi rank
      */
     uint32_t GetMyId() const;
     /**
-     * \return true if system is finished
+     * @return true if system is finished
      */
     bool IsFinished() const;
 
@@ -88,17 +88,17 @@
 };
 
 /**
- * \ingroup simulator
- * \ingroup mpi
+ * @ingroup simulator
+ * @ingroup mpi
  *
- * \brief Distributed simulator implementation using lookahead
+ * @brief Distributed simulator implementation using lookahead
  */
 class DistributedSimulatorImpl : public SimulatorImpl
 {
   public:
     /**
      *  Register this type.
-     *  \return The object TypeId.
+     *  @return The object TypeId.
      */
     static TypeId GetTypeId();
 
@@ -139,7 +139,7 @@
      * The method may be invoked more than once, the minimum time will
      * be used to constrain lookahead.
      *
-     * \param [in] lookAhead The maximum lookahead; must be > 0.
+     * @param [in] lookAhead The maximum lookahead; must be > 0.
      */
     virtual void BoundLookAhead(const Time lookAhead);
 
@@ -160,7 +160,7 @@
      * Check if this rank is finished.  It's finished when there are
      * no more events or stop has been requested.
      *
-     * \returns \c true when this rank is finished.
+     * @returns \c true when this rank is finished.
      */
     bool IsLocalFinished() const;
 
@@ -171,13 +171,13 @@
      *
      * If there are no more events the timestep is infinity.
      *
-     * \return The next event timestep.
+     * @return The next event timestep.
      */
     uint64_t NextTs() const;
     /**
      * Get the time of the next event, as returned by NextTs().
      *
-     * \return The next event time stamp.
+     * @return The next event time stamp.
      */
     Time Next() const;
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/mpi/model/granted-time-window-mpi-interface.cc ns-3.44/src/mpi/model/granted-time-window-mpi-interface.cc
--- ns-3.43/src/mpi/model/granted-time-window-mpi-interface.cc	2024-10-09 16:41:10.060656500 -0700
+++ ns-3.44/src/mpi/model/granted-time-window-mpi-interface.cc	2025-03-09 16:55:49.659372000 -0700
@@ -5,8 +5,8 @@
  */
 
 /**
- * \file
- * \ingroup mpi
+ * @file
+ * @ingroup mpi
  * Implementation of classes ns3::SentBuffer and ns3::GrantedTimeWindowMpiInterface.
  */
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/mpi/model/granted-time-window-mpi-interface.h ns-3.44/src/mpi/model/granted-time-window-mpi-interface.h
--- ns-3.43/src/mpi/model/granted-time-window-mpi-interface.h	2024-10-09 16:41:10.060656500 -0700
+++ ns-3.44/src/mpi/model/granted-time-window-mpi-interface.h	2025-03-09 16:55:49.659372000 -0700
@@ -5,8 +5,8 @@
  */
 
 /**
- * \file
- * \ingroup mpi
+ * @file
+ * @ingroup mpi
  * Declaration of classes ns3::SentBuffer and ns3::GrantedTimeWindowMpiInterface.
  */
 
@@ -35,9 +35,9 @@
 const uint32_t MAX_MPI_MSG_SIZE = 2000;
 
 /**
- * \ingroup mpi
+ * @ingroup mpi
  *
- * \brief Tracks non-blocking sends
+ * @brief Tracks non-blocking sends
  *
  * This class is used to keep track of the asynchronous non-blocking
  * sends that have been posted.
@@ -49,15 +49,15 @@
     ~SentBuffer();
 
     /**
-     * \return pointer to sent buffer
+     * @return pointer to sent buffer
      */
     uint8_t* GetBuffer();
     /**
-     * \param buffer pointer to sent buffer
+     * @param buffer pointer to sent buffer
      */
     void SetBuffer(uint8_t* buffer);
     /**
-     * \return MPI request
+     * @return MPI request
      */
     MPI_Request* GetRequest();
 
@@ -70,9 +70,9 @@
 class DistributedSimulatorImpl;
 
 /**
- * \ingroup mpi
+ * @ingroup mpi
  *
- * \brief Interface between ns-3 and MPI
+ * @brief Interface between ns-3 and MPI
  *
  * Implements the interface used by the singleton parallel controller
  * to interface between NS3 and the communications layer being
@@ -83,7 +83,7 @@
   public:
     /**
      * Register this type.
-     * \return The object TypeId.
+     * @return The object TypeId.
      */
     static TypeId GetTypeId();
 
@@ -116,11 +116,11 @@
      */
     static void TestSendComplete();
     /**
-     * \return received count in packets
+     * @return received count in packets
      */
     static uint32_t GetRxCount();
     /**
-     * \return transmitted count in packets
+     * @return transmitted count in packets
      */
     static uint32_t GetTxCount();
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/mpi/model/mpi-interface.cc ns-3.44/src/mpi/model/mpi-interface.cc
--- ns-3.43/src/mpi/model/mpi-interface.cc	2024-10-09 16:41:10.060656500 -0700
+++ ns-3.44/src/mpi/model/mpi-interface.cc	2025-03-09 16:55:49.659372000 -0700
@@ -7,8 +7,8 @@
  */
 
 /**
- * \file
- * \ingroup mpi
+ * @file
+ * @ingroup mpi
  * Implementation of class ns3::MpiInterface.
  */
 
@@ -17,9 +17,9 @@
 #include "granted-time-window-mpi-interface.h"
 #include "null-message-mpi-interface.h"
 
-#include <ns3/global-value.h>
-#include <ns3/log.h>
-#include <ns3/string.h>
+#include "ns3/global-value.h"
+#include "ns3/log.h"
+#include "ns3/string.h"
 
 namespace ns3
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/mpi/model/mpi-interface.h ns-3.44/src/mpi/model/mpi-interface.h
--- ns-3.43/src/mpi/model/mpi-interface.h	2024-10-09 16:41:10.060656500 -0700
+++ ns-3.44/src/mpi/model/mpi-interface.h	2025-03-09 16:55:49.659372000 -0700
@@ -7,37 +7,37 @@
  */
 
 /**
- * \file
- * \ingroup mpi
+ * @file
+ * @ingroup mpi
  * Declaration of class ns3::MpiInterface.
  */
 
 #ifndef NS3_MPI_INTERFACE_H
 #define NS3_MPI_INTERFACE_H
 
-#include <ns3/nstime.h>
-#include <ns3/packet.h>
+#include "ns3/nstime.h"
+#include "ns3/packet.h"
 
 #include <mpi.h>
 
 namespace ns3
 {
 /**
- * \defgroup mpi MPI Distributed Simulation
+ * @defgroup mpi MPI Distributed Simulation
  */
 
 /**
- * \ingroup mpi
- * \ingroup tests
- * \defgroup mpi-tests MPI Distributed Simulation tests
+ * @ingroup mpi
+ * @ingroup tests
+ * @defgroup mpi-tests MPI Distributed Simulation tests
  */
 
 class ParallelCommunicationInterface;
 
 /**
- * \ingroup mpi
+ * @ingroup mpi
  *
- * \brief Singleton used to interface to the communications infrastructure
+ * @brief Singleton used to interface to the communications infrastructure
  * when running NS3 in parallel.
  *
  * Delegates the implementation to the specific parallel
@@ -52,35 +52,35 @@
 {
   public:
     /**
-     * \brief Deletes storage used by the parallel environment.
+     * @brief Deletes storage used by the parallel environment.
      */
     static void Destroy();
     /**
-     * \brief Get the id number of this rank.
+     * @brief Get the id number of this rank.
      *
      * When running a sequential simulation this will return a systemID of 0.
      *
-     * \return system identification
+     * @return system identification
      */
     static uint32_t GetSystemId();
     /**
-     * \brief Get the number of ranks used by ns-3.
+     * @brief Get the number of ranks used by ns-3.
      *
      * Returns the size (number of MPI ranks) of the communicator used by
      * ns-3.  When running a sequential simulation this will return a
      * size of 1.
      *
-     * \return number of parallel tasks
+     * @return number of parallel tasks
      */
     static uint32_t GetSize();
     /**
-     * \brief Returns enabled state of parallel environment.
+     * @brief Returns enabled state of parallel environment.
      *
-     * \return true if parallel communication is enabled
+     * @return true if parallel communication is enabled
      */
     static bool IsEnabled();
     /**
-     * \brief Setup the parallel communication interface.
+     * @brief Setup the parallel communication interface.
      *
      * There are two ways to setup the communications interface.  This
      * Enable method is the easiest method and should be used in most
@@ -99,48 +99,48 @@
      * parallel simulators and the goal is to run each simulator on a
      * different set of ranks.
      *
-     * \note The `SimulatorImplementationType attribute in
+     * @note The `SimulatorImplementationType attribute in
      * ns3::GlobalValues must be set before calling Enable()
      *
-     * \param pargc number of command line arguments
-     * \param pargv command line arguments
+     * @param pargc number of command line arguments
+     * @param pargv command line arguments
      */
     static void Enable(int* pargc, char*** pargv);
     /**
-     * \brief Setup the parallel communication interface using the specified communicator.
+     * @brief Setup the parallel communication interface using the specified communicator.
      *
      * See @ref Enable (int* pargc, char*** pargv) for additional information.
      *
-     * \param communicator MPI Communicator that should be used by ns-3
+     * @param communicator MPI Communicator that should be used by ns-3
      */
     static void Enable(MPI_Comm communicator);
     /**
-     * \brief Clean up the ns-3 parallel communications interface.
+     * @brief Clean up the ns-3 parallel communications interface.
      *
      * MPI_Finalize will be called only if Enable (int* pargc, char***
      * pargv) was called.
      */
     static void Disable();
     /**
-     * \brief Send a packet to a remote node.
+     * @brief Send a packet to a remote node.
      *
-     * \param p packet to send
-     * \param rxTime received time at destination node
-     * \param node destination node
-     * \param dev destination device
+     * @param p packet to send
+     * @param rxTime received time at destination node
+     * @param node destination node
+     * @param dev destination device
      *
      * Serialize and send a packet to the specified node and net device
      */
     static void SendPacket(Ptr<Packet> p, const Time& rxTime, uint32_t node, uint32_t dev);
 
     /**
-     * \brief Return the communicator used to run ns-3.
+     * @brief Return the communicator used to run ns-3.
      *
      * The communicator returned will be MPI_COMM_WORLD if Enable (int*
      * pargc, char*** pargv) is used to enable or the user specified
      * communicator if Enable (MPI_Comm communicator) is used.
      *
-     * \return The MPI Communicator.
+     * @return The MPI Communicator.
      */
     static MPI_Comm GetCommunicator();
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/mpi/model/mpi-receiver.cc ns-3.44/src/mpi/model/mpi-receiver.cc
--- ns-3.43/src/mpi/model/mpi-receiver.cc	2024-10-09 16:41:10.060656500 -0700
+++ ns-3.44/src/mpi/model/mpi-receiver.cc	2025-03-09 16:55:49.659372000 -0700
@@ -5,8 +5,8 @@
  */
 
 /**
- * \file
- * \ingroup mpi
+ * @file
+ * @ingroup mpi
  * ns3::MpiReceiver implementation,
  * provides an interface to aggregate to MPI-compatible NetDevices.
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/mpi/model/mpi-receiver.h ns-3.44/src/mpi/model/mpi-receiver.h
--- ns-3.43/src/mpi/model/mpi-receiver.h	2024-10-09 16:41:10.060656500 -0700
+++ ns-3.44/src/mpi/model/mpi-receiver.h	2025-03-09 16:55:49.659372000 -0700
@@ -5,8 +5,8 @@
  */
 
 /**
- * \file
- * \ingroup mpi
+ * @file
+ * @ingroup mpi
  * ns3::MpiReceiver declaration,
  * provides an interface to aggregate to MPI-compatible NetDevices.
  */
@@ -21,9 +21,9 @@
 {
 
 /**
- * \ingroup mpi
+ * @ingroup mpi
  *
- * \brief Class to aggregate to a NetDevice if it supports MPI capability
+ * @brief Class to aggregate to a NetDevice if it supports MPI capability
  *
  * MpiInterface::ReceiveMessages () needs to send packets to a NetDevice
  * Receive() method.  Since each NetDevice's Receive() method is specific
@@ -38,19 +38,19 @@
   public:
     /**
      * Register this type.
-     * \return The object TypeId.
+     * @return The object TypeId.
      */
     static TypeId GetTypeId();
     ~MpiReceiver() override;
 
     /**
-     * \brief Direct an incoming packet to the device Receive() method
-     * \param p Packet to receive
+     * @brief Direct an incoming packet to the device Receive() method
+     * @param p Packet to receive
      */
     void Receive(Ptr<Packet> p);
     /**
-     * \brief Set the receive callback to get packets to net devices
-     * \param callback the callback itself
+     * @brief Set the receive callback to get packets to net devices
+     * @param callback the callback itself
      */
     void SetReceiveCallback(Callback<void, Ptr<Packet>> callback);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/mpi/model/null-message-mpi-interface.cc ns-3.44/src/mpi/model/null-message-mpi-interface.cc
--- ns-3.43/src/mpi/model/null-message-mpi-interface.cc	2024-10-09 16:41:10.060656500 -0700
+++ ns-3.44/src/mpi/model/null-message-mpi-interface.cc	2025-03-09 16:55:49.659372000 -0700
@@ -8,8 +8,8 @@
  */
 
 /**
- * \file
- * \ingroup mpi
+ * @file
+ * @ingroup mpi
  * Implementation of classes ns3::NullMessageSentBuffer and ns3::NullMessageMpiInterface.
  */
 
@@ -40,9 +40,9 @@
 NS_OBJECT_ENSURE_REGISTERED(NullMessageMpiInterface);
 
 /**
- * \ingroup mpi
+ * @ingroup mpi
  *
- * \brief Non-blocking send buffers for Null Message implementation.
+ * @brief Non-blocking send buffers for Null Message implementation.
  *
  * One buffer is allocated for each non-blocking send.
  */
@@ -53,15 +53,15 @@
     ~NullMessageSentBuffer();
 
     /**
-     * \return pointer to sent buffer
+     * @return pointer to sent buffer
      */
     uint8_t* GetBuffer();
     /**
-     * \param buffer pointer to sent buffer
+     * @param buffer pointer to sent buffer
      */
     void SetBuffer(uint8_t* buffer);
     /**
-     * \return MPI request
+     * @return MPI request
      */
     MPI_Request* GetRequest();
 
@@ -393,7 +393,7 @@
             Time rxTime(time);
 
             // rxtime == 0 means this is a Null Message
-            if (rxTime > Time(0))
+            if (rxTime.IsStrictlyPositive())
             {
                 count -= sizeof(time) + sizeof(guaranteeUpdate) + sizeof(node) + sizeof(dev);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/mpi/model/null-message-mpi-interface.h ns-3.44/src/mpi/model/null-message-mpi-interface.h
--- ns-3.43/src/mpi/model/null-message-mpi-interface.h	2024-10-09 16:41:10.060656500 -0700
+++ ns-3.44/src/mpi/model/null-message-mpi-interface.h	2025-03-09 16:55:49.659372000 -0700
@@ -7,8 +7,8 @@
  */
 
 /**
- * \file
- * \ingroup mpi
+ * @file
+ * @ingroup mpi
  * Declaration of classes ns3::NullMessageSentBuffer and ns3::NullMessageMpiInterface.
  */
 
@@ -17,8 +17,8 @@
 
 #include "parallel-communication-interface.h"
 
-#include <ns3/buffer.h>
-#include <ns3/nstime.h>
+#include "ns3/buffer.h"
+#include "ns3/nstime.h"
 
 #include <list>
 #include <mpi.h>
@@ -32,9 +32,9 @@
 class Packet;
 
 /**
- * \ingroup mpi
+ * @ingroup mpi
  *
- * \brief Interface between ns-3 and MPI for the Null Message
+ * @brief Interface between ns-3 and MPI for the Null Message
  * distributed simulation implementation.
  */
 class NullMessageMpiInterface : public ParallelCommunicationInterface, Object
@@ -42,7 +42,7 @@
   public:
     /**
      * Register this type.
-     * \return The object TypeId.
+     * @return The object TypeId.
      */
     static TypeId GetTypeId();
 
@@ -71,19 +71,19 @@
     friend ns3::NullMessageSimulatorImpl;
 
     /**
-     * \brief Send a Null Message to across the specified bundle.
+     * @brief Send a Null Message to across the specified bundle.
      *
      * Null Messages are sent when a packet has not been sent across
      * this bundle in order to allow time advancement on the remote
      * MPI task.
      *
-     * \param [in] guaranteeUpdate Lower bound time on the next
+     * @param [in] guaranteeUpdate Lower bound time on the next
      * possible event from this MPI task to the remote MPI task across
      * the bundle.  Remote task may execute events up to this time.
      *
-     * \param [in] bundle The bundle of links between two ranks.
+     * @param [in] bundle The bundle of links between two ranks.
      *
-     * \internal The Null Message MPI buffer format uses the same packet
+     * @internal The Null Message MPI buffer format uses the same packet
      * metadata format as sending a normal packet with the time,
      * destination node, and destination device set to zero.  Using the
      * same packet metadata simplifies receive logic.
@@ -105,7 +105,7 @@
     static void TestSendComplete();
 
     /**
-     * \brief Initialize send and receive buffers.
+     * @brief Initialize send and receive buffers.
      *
      * This method should be called after all links have been added to the RemoteChannelBundle
      * manager to setup any required send and receive buffers.
@@ -119,7 +119,7 @@
      * only check for received messages complete, and return
      * all messages that are queued up locally.
      *
-     * \param [in] blocking Whether this call should block.
+     * @param [in] blocking Whether this call should block.
      */
     static void ReceiveMessages(bool blocking = false);
 
